## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionVariables

### Workflow::ezcWorkflowConditionVariables

### Class ezcWorkflowConditionVariables

Wrapper that applies a condition to two workflow variables.

Source for this file: /Workflow/src/conditions/variables.php

### Implements interfaces:

- ezcWorkflowCondition

Version: | //autogen//

### Member Variables

protected ezcWorkflowCondition | `$condition` The condition that is applied to the variable.
protected string | `$variableNameA` The name of the first variable the condition is applied to.
protected string | `$variableNameB` The name of the second variable the condition is applied to.

### Method Summary

public ezcWorkflowConditionVariables | `__construct( $variableNameA , $variableNameB , $condition )` Constructor.

### Methods

#### __construct

ezcWorkflowConditionVariables __construct( string $variableNameA , string $variableNameB , ezcWorkflowCondition $condition )

Constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$variableNameA` | string |
`$variableNameB` | string |
`$condition` | ezcWorkflowCondition |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` |

Documentation generated by phpDocumentor 1.4.3